use std::thread::sleep;
use std::time::Duration;
use core::system::System;
use core::Clock;
use simplelog::*;

const ROM_PATH: &'static str = "./roms/dk.nes";

fn main() {
    CombinedLogger::init(vec![TermLogger::new(
        LevelFilter::Debug,
        Config::default(),
        TerminalMode::Mixed,
        ColorChoice::Auto,
    )])
    .unwrap();

    let mut system = System::new();
    system.insert_rom(ROM_PATH).expect("Failed to insert ROM");

    loop {
        system.cycle();

        // TODO: Inaccurate, ~60hz
        sleep(Duration::from_millis(16));
    }
}
